* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

header {
    background: #2e8b57;
    color: white;
    text-align: center;
    padding: 20px;
    font-size: 32px;
    font-weight: bold;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

nav {
    background: #3cb371;
    display: flex;
    justify-content: center;
    height: 60px;
}

nav a {
    flex: 1; /* tüm butonlar eşit genişlik */
    display: flex; /* içeriği ortalamak için */
    align-items: center; /* dikey ortalama */
    justify-content: center; /* yatay ortalama */
    text-decoration: none;
    color: white;
    font-size: 22px;
    font-weight: bold;
    transition: background 0.3s;
}

nav a:hover {
    background: green;
}

nav a.active {
    background: darkgreen;
}

main {
    flex: 1;
    padding: 30px;
    background: #f4f4f4;
}

footer {
    background: #222;
    color: white;
    text-align: center;
    padding: 15px;
}

iframe {
    width: 100%;
    height: 100%;
}